linux-kernel.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
* [PATCH] selftests: cpu-hotplug: check hotplug dir for the CONFIG_HOTPLUG_CPU
@ 2019-03-12  9:58 Po-Hsu Lin
  0 siblings, 0 replies; only message in thread
From: Po-Hsu Lin @ 2019-03-12  9:58 UTC (permalink / raw)
  To: shuah, linux-kselftest; +Cc: linux-kernel

When the CONFIG_HOTPLUG_CPU is not set, there won't be a "hotplug"
directory in /sys/devices/system/cpu/. Make use of this fact to check
if we need to skip this test.

Signed-off-by: Po-Hsu Lin <po-hsu.lin@canonical.com>
---
 tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh b/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
index 0d26b5e..27275a1 100755
--- a/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
+++ b/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
@@ -23,6 +23,11 @@ prerequisite()
 		exit $ksft_skip
 	fi
 
+	if [ ! -d $SYSFS/devices/system/cpu/hotplug/ ]; then
+		echo $msg CONFIG_HOTPLUG_CPU needs to be enabled >&2
+		exit $ksft_skip
+	fi
+
 	if ! ls $SYSFS/devices/system/cpu/cpu* > /dev/null 2>&1; then
 		echo $msg cpu hotplug is not supported >&2
 		exit $ksft_skip
-- 
2.7.4


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2019-03-12  9:59 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-03-12  9:58 [PATCH] selftests: cpu-hotplug: check hotplug dir for the CONFIG_HOTPLUG_CPU Po-Hsu Lin

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).